本文整理汇总了C#中Form.GetControlPoints方法的典型用法代码示例。如果您正苦于以下问题:C# Form.GetControlPoints方法的具体用法?C# Form.GetControlPoints怎么用?C# Form.GetControlPoints使用的例子?那么, 这里精选的方法代码示例或许可以为您提供帮助。您也可以进一步了解该方法所在类Form
的用法示例。
在下文中一共展示了Form.GetControlPoints方法的2个代码示例,这些例子默认根据受欢迎程度排序。您可以为喜欢或者感觉有用的代码点赞,您的评价将有助于系统推荐出更棒的C#代码示例。
示例1: MoveVertexesOnBottomProfile
/// <summary>
/// Move the form vertexes
/// </summary>
/// <param name="form">The form contains the vertexes</param>
private void MoveVertexesOnBottomProfile(Form form)
{
Autodesk.Revit.DB.XYZ offset1 = new Autodesk.Revit.DB.XYZ (-m_vertexOffsetOnBottomProfile, -m_vertexOffsetOnBottomProfile, 0);
Autodesk.Revit.DB.XYZ offset2 = new Autodesk.Revit.DB.XYZ (m_vertexOffsetOnBottomProfile, -m_vertexOffsetOnBottomProfile, 0);
Autodesk.Revit.DB.XYZ startOfBottom = new Autodesk.Revit.DB.XYZ (-1 * m_bottomLength / 2, -1 * m_bottomWidth / 2, m_bottomHeight);
Autodesk.Revit.DB.XYZ endOfBottom = new Autodesk.Revit.DB.XYZ (m_bottomLength / 2, -1 * m_bottomWidth / 2, m_bottomHeight);
Edge bottomEdge = GetEdgeByEndPoints(form, startOfBottom, endOfBottom);
ReferenceArray pntsRef = form.GetControlPoints(bottomEdge.Reference);
Reference r1 = null;
Reference r2 = null;
foreach (Reference r in pntsRef)
{
Point pnt = form.GetGeometryObjectFromReference(r) as Point;
if (pnt.Coord.IsAlmostEqualTo(startOfBottom))
{
r1 = r;
}
else
{
r2 = r;
}
}
MoveSubElement(form, r1, offset1);
MoveSubElement(form, r2, offset2);
}
示例2: MoveVertexesOnAddedProfile
/// <summary>
/// Move the form vertexes on added profile
/// </summary>
/// <param name="form">The form contains the vertexes</param>
/// <param name="profileIndex">Index of added profile</param>
private void MoveVertexesOnAddedProfile(Form form, int profileIndex)
{
Autodesk.Revit.DB.XYZ offset = new Autodesk.Revit.DB.XYZ (0, m_vertexOffsetOnMiddleProfile, 0);
ReferenceArray ra = form.get_CurveLoopReferencesOnProfile(profileIndex, 0);
foreach (Reference r in ra)
{
ReferenceArray ra2 = form.GetControlPoints(r);
foreach (Reference r2 in ra2)
{
Point vertex = form.GetGeometryObjectFromReference(r2) as Point;
if (Math.Abs(vertex.Coord.X) < Epsilon)
{
MoveSubElement(form, r2, offset);
break;
}
}
}
}